<?php
/**
 * @file globals.inc 
 * Include all the stuff that we need
 * @author Roland Hieber (roland.hieber@wilhelm-gym.net)
 * @date 27.01.2008
 * 
 * Copyright © 2007 Roland Hieber
 * 
 * Permission is hereby granted, free of charge, to any person obtaining
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

require_once("mod_room-reservation/functions.inc");
require_once("mod_room-reservation/exceptions.inc");
require_once("mod_room-reservation/mod_roomReservationBookingsManager.inc");
require_once("mod_room-reservation/mod_roomReservationRoomsManager.inc");
require_once("mod_room-reservation/mod_roomReservationConfig.inc");

/** A global instance of the mod_roomReservationConfig class */
$g_rrCfg = new mod_roomReservationConfig();
/** A global instance of the mod_roomReservationBookingsManager class */
$g_rrBm = new mod_roomReservationBookingsManager($g_rrCfg);
/** A global instance of the mod_roomReservationRoomsManager class */
$g_rrRm = new mod_roomReservationRoomsManager($g_rrCfg);

/**
 * @mainpage iserv-mod-room-reservation -- Simple reservation of rooms
 * The room reservation module allows the users of your IServ Portalserver
 * to reserve a room, e.g. for meetings, lessons etc.
 */
?>
